Statistics API
41 REST endpoints for statistics, each with its parameters, the response it returns and a runnable curl example. Starts with GET /api/statistics/clickstream.
GET/api/statistics/clickstreamGet statistics clickstream
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 5
| Name | In | Description |
|---|---|---|
domainId | query | Optional query parameter |
linkId | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
format | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/api/statistics/domain/{id}Domain statistics
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 9
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | query | Optional query parameter |
startDate | query | Optional query parameter |
endDate | query | Optional query parameter |
interval | query | Optional query parameter |
column | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
tz | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/domain/{id}Domain statistics
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/domain/{id}/by_intervalStatistics data by interval
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/domain/{id}/last_clicksList of raw clicks
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/api/statistics/domain/{id}/link_clicksLink clicks
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 9
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | query | Optional query parameter |
startDate | query | Optional query parameter |
endDate | query | Optional query parameter |
interval | query | Optional query parameter |
column | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
tz | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/domain/{id}/link_clicksLink clicks
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/domain/{id}/pathsMost popular links in a time interval
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
DELETE/api/statistics/domain/{id}/statisticsClear domain statistics
Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.
Parameters 2
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
confirm | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/domain/{id}/topTop values ordered by clicks
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/domain/{id}/top_by_intervalTop values by column and interval
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/api/statistics/link/{id}Link statistics
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 9
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | query | Optional query parameter |
startDate | query | Optional query parameter |
endDate | query | Optional query parameter |
interval | query | Optional query parameter |
column | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
tz | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/link/{id}Link statistics
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/link/{id}/by_intervalStatistics data by interval
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/api/statistics/link/{id}/topTop values ordered by clicks
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/api/statistics/overviewOrganisation-wide overview (dashboard home cards)
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
interval | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/api/statistics/shareGet statistics share
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Examples in 22 languages and Try it →
Responses
POST/api/statistics/shareShareable public statistics links
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 4
| Name | In | Description |
|---|---|---|
domainId | body | JSON request field |
linkId | body | JSON request field |
expiresAt | body | JSON request field |
windowDays | body | JSON request field |
Examples in 22 languages and Try it →
Responses
DELETE/api/statistics/share/{id}Delete statistics share by ID
Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
GET/statistics/click/{clid}One click, in full
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
clid | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
GET/statistics/clickstreamGet statistics clickstream
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 5
| Name | In | Description |
|---|---|---|
domainId | query | Optional query parameter |
linkId | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
format | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/statistics/domain/{id}Domain statistics
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 9
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | query | Optional query parameter |
startDate | query | Optional query parameter |
endDate | query | Optional query parameter |
interval | query | Optional query parameter |
column | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
tz | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/statistics/domain/{id}Domain statistics
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/statistics/domain/{id}/by_intervalStatistics data by interval
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/statistics/domain/{id}/clickstreamGet statistics domain by ID clickstream
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 6
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
domainId | query | Optional query parameter |
linkId | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
format | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/statistics/domain/{id}/details/{dimension}Get statistics domain by ID details :dimension
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 4
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
dimension | path | Required path parameter |
interval | query | Optional query parameter |
series | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/statistics/domain/{id}/exportXLS export of the statistics view
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 2
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
interval | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/statistics/domain/{id}/filter-valuesFilter option values (for the filters modal)
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/statistics/domain/{id}/last_clicksList of raw clicks
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/statistics/domain/{id}/link_clicksLink clicks
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 9
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | query | Optional query parameter |
startDate | query | Optional query parameter |
endDate | query | Optional query parameter |
interval | query | Optional query parameter |
column | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
tz | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/statistics/domain/{id}/link_clicksLink clicks
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/statistics/domain/{id}/pathsMost popular links in a time interval
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 9
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | query | Optional query parameter |
startDate | query | Optional query parameter |
endDate | query | Optional query parameter |
interval | query | Optional query parameter |
column | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
tz | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/statistics/domain/{id}/pathsMost popular links in a time interval
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
DELETE/statistics/domain/{id}/statisticsClear domain statistics
Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.
Parameters 2
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
confirm | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/statistics/domain/{id}/topTop values ordered by clicks
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 9
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | query | Optional query parameter |
startDate | query | Optional query parameter |
endDate | query | Optional query parameter |
interval | query | Optional query parameter |
column | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
tz | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/statistics/domain/{id}/topTop values ordered by clicks
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/statistics/domain/{id}/top_by_intervalTop values by column and interval
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/statistics/link/{id}Link statistics
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 9
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | query | Optional query parameter |
startDate | query | Optional query parameter |
endDate | query | Optional query parameter |
interval | query | Optional query parameter |
column | query | Optional query parameter |
limit | query | Optional query parameter |
offset | query | Optional query parameter |
tz | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/statistics/link/{id}Link statistics
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/statistics/link/{id}/by_intervalStatistics data by interval
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →
Responses
POST/statistics/link/{id}/topTop values ordered by clicks
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
period | body | JSON request field |
startDate | body | JSON request field |
endDate | body | JSON request field |
interval | body | JSON request field |
column | body | JSON request field |
limit | body | JSON request field |
offset | body | JSON request field |
include | body | JSON request field |
exclude | body | JSON request field |
tz | body | JSON request field |
Examples in 22 languages and Try it →

